﻿/*
*
*   Adaptador para o form com a classe .Cadastro
*
*/

.table-adaptado {
    width: 100%;
    margin-bottom: 10px;
}

    .table-adaptado input[type="text"], .table-adaptado select {
        width: 100%;
    }

table.Cadastro {
    border: 1px solid #EBEBEB;
    max-width: 100%;
    margin-bottom: 20px;
    background-color: transparent;
    border-spacing: 0;
    border-collapse: collapse;
    color: inherit;
}

div.PopupContent > div > table.Cadastro {
    margin-bottom: 0px;
}

.RowTitulo, .RowDados, .RowBotoes {
    /*display: table-header-group;*/
    vertical-align: middle;
    border-color: inherit;
    width: 100%;
}

    .RowTitulo > td, .RowDados > td, .RowBotoes > td {
        display: table-row;
        vertical-align: inherit;
        border-color: inherit;
        line-height: 1.42857;
        padding: 8px;
        vertical-align: top; /*border-bottom: 2px solid #DDDDDD;     border: 1px solid #e7e7e7;*/
        background-color: #FFF;
        text-align: left;
        box-sizing: border-box;
        display: table-cell;
    }

.RowTitulo {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #E7EAEC;
    border-image: none;
    border-style: solid solid none;
    border-width: 4px 0px 0px;
    color: inherit;
    margin-bottom: 0px;
    padding: 14px 15px 7px;
    min-height: 48px;
}

    .RowTitulo > td {
        background-color: #D9EDF7;
    }

#aspnetForm {
    margin-bottom: 0px;
}

.float-left {
    float: left;
    margin-right: 2px;
}

/*
*
*   Adaptador botões
* 
*/

btn-margin {
    margin: 0 2px 0 2px;
    float: right;
}

/*
*
*   Adaptador Loading overlay
* 
*/

.dvLoadingContainer {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

.dvLoading {
    margin: 0 50%;
    left: -80px;
    position: relative;
    padding: 5px;
    text-align: center;
    width: 160px;
    font: 26px Arial;
    background-color: transparent;
    color: #fff;
}

.dvLoadingContainer .dvFundo {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.25;
    filter: alpha(opacity=25);
    z-index: 10000;
}

.dvLoadingContainer .tblFundo {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 10001;
}

/*
*
*   Adaptador para botões de relatório da GridView
* 
*/

.grid-botao-impressao {
    margin: 5px 5px 0 0;
}

/*
*
*   Adaptador para imagens do ImageButton
* 
*/
.image-resize {
    width: 16px;
    height: 16px;
}

/*
*
*   Adaptador para table e relacionados
* 
*/

table > caption {
    font-size: 24px;
    font-weight: 100;
    margin-top: 20px;
    margin-bottom: 10px;
    line-height: 1.1;
    color: #23C6C8;
}


/*
*
*   Adaptador controle ag:AgUpload da página medicao_busca.ascx
* 
*/
.swfupload {
    position: absolute;
    right: 20%;
    cursor: pointer;
    /*teste
    background-color: #1C84C6;
    border-color: #1C84C6;
    color: #FFF;
    min-width: 120px;
    border-radius: 3px;    
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -moz-user-select: none;
    background-image: none;
    border: 1px solid transparent;
    font-family: inherit;
    margin: 0px;
    font-family: "open sans","Helvetica Neue", Helvetica, Arial, sans-serif;*/
}


/*
*
*   Estilos do controle medicao_busca.ascx
* 
*/
.cbox {
    float: left;
    width: 10px;
    height: 10px;
    border: 1px solid black;
}

.color1 .cbox {
    background-color: #FDAE61;
}

.color2 .cbox {
    background-color: #CA0020;
}

.color3 .cbox {
    background-color: #0571B0;
}

.color4 .cbox {
    background-color: #008837;
}

.color5 .cbox {
    background-color: #92C5DE;
}

.color6 .cbox {
    background-color: #C2A5CF;
}

.color7 .cbox {
    background-color: #79FFAE;
}

.parc .cbox {
    background-image: url(../img/50_50bgPattern.png);
}



/*
*
*   Tentativa de alteração do cursor para elementos desabilitados.
* 
*/
.well > input[disabled] {
    cursor: not-allowed;
    background-color: #E6E6E6;
    border-color: #E6E6E6;
    color: #676A6C;
}

    .well > input[disabled]:hover {
        cursor: not-allowed;
    }

    